var UnidadeService = function (restEngine, requestDataSourceEngine) {

	this.alterarEstrutura = function (cdfilial, nrorg) {
		return restEngine.post("product#/changeUserUnit", {
			"requestType": "Row",
			"row": {
				"cdfilial": cdfilial,
				"nrorg": nrorg
			}
		});
	};

	this.updateMongoSession = function (nmfilial, cdfilial) {
		var filter = [
			{
                name: 'OTHER_SESSION_VALUES',
                value: {
                    NMFILIAL: nmfilial,
                    CDFILIAL: cdfilial
                },
                operator: '='
            }
		];
		return requestDataSourceEngine.getDataSource("lib#/lib_updateSession", filter);
	};

};

Configuration(function (ContextRegister) {
	ContextRegister.register('UnidadeService', UnidadeService);
});